package com.bcxin.risk.policy.enums;

/**
 * @author LeeJungHyun
 **/

public enum PaymentMode {

	// 无
	NONE(0),
	// 趸交
	SINGLE(1),
	// 年缴
	ANNUAL(2),
	// 至某确定年龄
	AGE(3),
	// 终身交费
	LIFE_TIME(4),
	// 不定期交费
	RANDOM(5),
	// 按月交费
	MONTHLY(6),

	DAILY(7),

	QUARTERLY(8),

	SEMI_ANNUAL(9);

	private PaymentMode(int code) {
		this.code = code;
	}

	private int code;

	public Integer code() {
		return code;
	}

}
